Page MenuHomePhabricator

Undeploy ParsoidBatchAPI from the Wikimedia cluster
Closed, ResolvedPublic

Description

Now that Parsoid/JS receives no traffic and is slated to be decommissioned (T241207), there is no longer any use for the ParsoidBatchAPI extension and it should be removed from the Wikimedia cluster.

Event Timeline

ssastry triaged this task as Medium priority.Jan 10 2020, 1:48 PM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2020, 1:48 PM

Change 563461 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Undeploy ParsoidBatchAPI

https://gerrit.wikimedia.org/r/563461

Change 563462 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/tools/release@master] Stop branching ParsoidBatchAPI

https://gerrit.wikimedia.org/r/563462

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Does this need to wait for T241207 to be finished before being done, or can we action it immediately?

Let us wait for T241207 because we do have at least one more Parsoid/JS rt test run to do on scandium -- so that our final Parsoiid/JS deb release is tested with all the minor code cleanup since we stopped traffic to it in production.

Jdforrester-WMF changed the task status from Open to Stalled.Jan 10 2020, 4:38 PM

Understood.

@cscott pointed out that our developer standalone mode references the parsoid-batch extension ( https://github.com/wikimedia/parsoid/blob/9c52e78989bed9c4b87997ea9764f340010d9510/src/Config/Api/DataAccess.php#L160 ). So, we'll have to stop using it before we do this. Probably a simple fix since performance is not a concern here.

Jdforrester-WMF lowered the priority of this task from Medium to Low.Feb 24 2020, 5:38 PM

@cscott pointed out that our developer standalone mode references the parsoid-batch extension ( https://github.com/wikimedia/parsoid/blob/9c52e78989bed9c4b87997ea9764f340010d9510/src/Config/Api/DataAccess.php#L160 ). So, we'll have to stop using it before we do this. Probably a simple fix since performance is not a concern here.

This is now resolved as part of T248340.

This is now resolved as part of T248340.

Does that mean we can undeploy this extension now? After the next train? Or just sooner?

Any time that is convenient for you - there is no urgency on our part.

Jdforrester-WMF changed the task status from Stalled to Open.May 12 2020, 12:13 AM

Excellent, thanks.

Change 595994 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Stop loading the ParsoidBatchAPI extension

https://gerrit.wikimedia.org/r/595994

Change 595995 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Stop loading i18n for the ParsoidBatchAPI extension

https://gerrit.wikimedia.org/r/595995

Change 595994 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop loading the ParsoidBatchAPI extension

https://gerrit.wikimedia.org/r/595994

Mentioned in SAL (#wikimedia-operations) [2020-05-13T20:16:44Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T242430 Stop loading the ParsoidBatchAPI extension (duration: 01m 08s)

Change 595995 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop loading i18n for the ParsoidBatchAPI extension

https://gerrit.wikimedia.org/r/595995

Jdforrester-WMF closed this task as Resolved.May 13 2020, 8:22 PM

Done.

Change 563462 merged by jenkins-bot:
[mediawiki/tools/release@master] Stop branching ParsoidBatchAPI

https://gerrit.wikimedia.org/r/563462

Change 563461 abandoned by Jforrester:
Undeploy ParsoidBatchAPI

Reason:
Oops, sorry, did this last week.

https://gerrit.wikimedia.org/r/563461